
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Idle Notification Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Device.IdleNotifier</h1><h2>Description</h2>
<p>The Idle Notification Interface provides information about a device's idleness state.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Device.IdleNotifier</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetState">GetState</a></li>
<li><a href="#GetTimeouts">GetTimeouts</a></li>
<li><a href="#SetTimeout">SetTimeout</a></li>
<li><a href="#SetState">SetState</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#State">State</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetState">GetState</a> ( ) &rarr; s</h3>
<p><i>Description:</i> Get the current idleness status. </p><h4>Returns</h4><i>s: status</i><p>The idleness status. Expected values are:  <ul>  <li>"busy"</li>  <li>"idle"</li>  <li>"idle_dim"</li>  <li>"idle_prelock"</li>  <li>"lock"</li>  <li>"suspend"</li>  <li>"awake"</li>  </ul> </p>
<h3><a name="GetTimeouts">GetTimeouts</a> ( ) &rarr; a{si}</h3>
<p><i>Description:</i> Gets a list of all the idle states and their correspondent timeouts. </p><h4>Returns</h4><i>a{si}: status</i><p>The list of the idle states, and their correspondent timeouts. </p>
<h3><a name="SetTimeout">SetTimeout</a> ( si )</h3>
<p><i>Description:</i> Sets a timeout value for a given state. </p><h4>Parameters</h4><i>s: status</i><p>The idle status. See <a href="http://docs.freesmartphone.org/org.freesmartphone.Device.IdleNotifier.html#GetState">GetState</a> for a list of valid values. </p><i>i: timeout</i><p>The timeout value. Set to -1 to disable the state. </p>
<h3><a name="SetState">SetState</a> ( s )</h3>
<p><i>Description:</i> Forces a new idleness status. </p><h4>Parameters</h4><i>s: status</i><p>The idle status. See <a href="http://docs.freesmartphone.org/org.freesmartphone.Device.IdleNotifier.html#GetState">GetState</a> for valid values. </p>
<h1>Signals</h1><h3><h3><a name="State">State</a> ( s )</h3><p><i>Description:</i> Sent, when the idleness status has changed. </p><h4>Parameters</h4><i>s: status</i><p>The idle status. See <a href="http://docs.freesmartphone.org/org.freesmartphone.Device.IdleNotifier.html#GetState">GetState</a> for a list of expected values. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

